Draft Ellipse

From FreeCAD Documentation
Jump to navigation Jump to search
This page contains changes which are not marked for translation.
Under construction icon-blue.svg
This documentation is work in progress. Please don't mark it as translatable since it will change the next hours and days.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Circle.svg Circle
Next: Rectangle Draft Rectangle.svg Arrow-right.svg

Draft Ellipse.svg Draft Ellipse

Menu location
Drafting → Ellipse
Workbenches
Draft, Arch
Default shortcut
E L
Introduced in version
0.7
See also
None

Description

The Draft Ellipse.svg Draft Ellipse command creates an ellipse in the current working plane by entering two points, defining the corners of a rectangular box in which the ellipse will fit. It uses the Draft Linestyle set on the Draft Tray.

A Draft Ellipse can be turned into an elliptical arc by setting its DataFirst Angle and DataLast Angle properties to different values.

Draft ellipse example.jpg

Ellipse defined by the rectangle corners

Usage

  1. There are several ways to invoke the command:
    • Press the Draft Ellipse.svg Draft Ellipse button.
    • Select the Drafting → Draft Ellipse.svg Ellipse option from the menu.
    • Use the keyboard shortcut: E then L.
  2. Click the first point in the 3D view, or type coordinates and press the Draft AddPoint.svg Enter point button.
  3. Click the second point in the 3D view, or type coordinates and press the Draft AddPoint.svg Enter point button.

Options

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the Draft AddPoint.svg Enter point button when you have the desired values to insert the point.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Ellipse command will restart after you finish the shape, allowing you to draw another one without pressing the command button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, the ellipse will create a filled face (DataMake Face true); if not, the ellipse will not make a face (DataMake Face false).
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Esc or the Close button to abort the current command.

Notes

  • A Draft Ellipse can be edited with the Draft Edit command.

Properties

See also: Property editor.

A Draft Ellipse object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • DataArea (Area): (read-only) specifies the area of the face of the ellipse. The value will be 0.0 if DataMake Face if false or the face cannot be created.
  • DataFirst Angle (Angle): specifies the angle of the first point of the ellipse, normally .
  • DataLast Angle (Angle): specifies the angle of the last point of the ellipse, normally .
  • DataMajor Radius (Length): specifies the major radius of the ellipse.
  • DataMake Face (Bool): specifies if the ellipse makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object. This property only works if the shape is a full ellipse.
  • DataMinor Radius (Length): specifies the minor radius of the ellipse.

View

Draft

  • ViewPattern (Enumeration): specifies the Draft Pattern with which to fill the face of the ellipse. This property only works if DataMake Face is true and if ViewDisplay Mode is Flat Lines.
  • ViewPattern Size (Float): specifies the size of the Draft Pattern.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Ellipse use the make_ellipse method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeEllipse method.

ellipse = make_ellipse(majradius, minradius, placement=None, face=True, support=None)
  • Creates an ellipse object with given major (majradius) and minor (minradius) radius in millimeters.
    • The bigger value will be used for the major radius (X axis) if no other placement is given.
  • If placement is None the shape is created at the origin.
  • If face is True, the ellipse will make a face, that is, it will appear filled.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

ellipse1 = Draft.make_ellipse(3000, 200)
ellipse2 = Draft.make_ellipse(700, 1000)

zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 90))

ellipse3 = Draft.make_ellipse(700, 1000, placement=place3)

doc.recompute()


Arrow-left.svg Previous: Draft Circle.svg Circle
Next: Rectangle Draft Rectangle.svg Arrow-right.svg